Foxit PDF SDK

Public Member Functions | List of all members
FSDK.RMSSecurityHandler Class Reference

## Public Member Functions
| constructor ()
| Constructor. More...
| Initialize (encrypt_data, callback)
| Initialize current Microsoft RMS security handler. More...

## Detailed Description

This class represents a RMS security handler, used for RMS encryption.

Note
  If module "RMS" is not defined in the license information which is used in function FSDK.Library.Initialize, that means user has no right in using RMS related functions and valid RMS security handler would not be constructed successfully and exception FSDK.e_ErrNoRMSModuleRight would be thrown.

See also
  FSDK.SecurityHandler

## Member Function Documentation

## ◆ constructor()

FSDK.RMSSecurityHandler.constructor | ( |  | ) |

Constructor.

Note
  If module "RMS" is not defined in the license information which is used in function FSDK.Library.Initialize, that means user has no right in using RMS related functions and this constructor will throw exception FSDK.e_ErrNoRMSModuleRight.

## ◆ Initialize()

FSDK.RMSSecurityHandler.Initialize | ( | encrypt_data | ,
|  | callback |
| ) |  |

Initialize current Microsoft RMS security handler.

If this function is successfully, Foxit PDF SDK will take over the input security callback object and user should not release this callback object directly anymore; otherwise unexpected crash may occurs later.
Foxit PDF SDK may release the security callback object by callback function FSDK.SecurityCallback.Release (inherited from RMSSecurityCallback's parent class), when current security handler is released and find that the callback object has not been used by other object. So, user is recommended not to use the security callback object any more, after current security handler is released.

Parameters

  [in] | encrypt_data | A RMS encrypt data object.
  [in] | callback | A valid FSDK.RMSSecurityCallback object, which is inherited and implemented by user for their own encryption and description algorithm. It should not be null.

Returns